package com.bwie.domian;

import com.bwie.domian.req.LoginReq;
import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;

@Data
@Builder
@AllArgsConstructor
@NoArgsConstructor
public class UserInfo {
    public String userId;
    public String userName;
    private String password;

    public static UserInfo LoginReqBuild(String userId, LoginReq loginReq) {
        return UserInfo.builder()
                .userId(userId)
                .userName(loginReq.getUserName())
                .password(loginReq.getPassword()).build();
    }
}
